Kampanjnotiser

GET https://notifyc.com/api/notifications/
curl --request GET \
--url 'https://notifyc.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt Sträng Söksträngen.
search_by Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: name.
is_enabled Valfritt Boolean
type Valfritt Sträng Tillåtna värden: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge
datetime_field Valfritt Sträng Tillåtna värden: datetime, last_datetime
datetime_start Valfritt Sträng Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Valfritt Sträng Filter results up to this datetime. Y-m-d H:i:s format.
order_by Valfritt Sträng Vilket fält att sortera resultaten efter. Tillåtna värden är: notification_id, datetime, last_datetime, name, impressions, hovers, clicks, form_submissions.
order_type Valfritt Sträng Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat från. Standardinställning är 1.
results_per_page Valfritt Heltal Hur många resultat vill du ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standardvärde är 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "campaign_id": 1,
            "notification_key": "Example",
            "name": "Example",
            "type": "Example",
            "settings": [],
            "impressions": 1,
            "hovers": 1,
            "clicks": 1,
            "form_submissions": 1,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-28 23:42:54"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://notifyc.com/api/notifications?page=1",
        "last": "https://notifyc.com/api/notifications?page=1",
        "next": null,
        "prev": null,
        "self": "https://notifyc.com/api/notifications?page=1"
    }
}
GET https://notifyc.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": [],
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-28 23:42:54"
    }
}
POST https://notifyc.com/api/notifications
Parametrar Detaljer Beskrivning
campaign_id Obligatoriskt Heltal -
type Obligatoriskt Sträng Tillåtna värden: informational, coupon, live_counter, email_collector, conversions, conversions_counter, video, audio, social_share, reviews, emoji_feedback, cookie_notification, score_feedback, request_collector, countdown_collector, custom_html, informational_bar, image, collector_bar, coupon_bar, button_bar, collector_modal, collector_two_modal, button_modal, text_feedback, engagement_links, whatsapp_chat, contact_us, informational_mini, informational_bar_mini, badge
name Valfritt Sträng -
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://notifyc.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": "Example",
        "hovers": "Example",
        "clicks": 1,
        "form_submissions": "Example",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-28 23:42:54"
    }
}
POST https://notifyc.com/api/notifications/{notification_id}
Parametrar Detaljer Beskrivning
name Valfritt Sträng -
is_enabled Valfritt Boolean -
trigger_all_pages Valfritt Boolean -
display_trigger Valfritt Sträng Tillåtna värden: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, target_visible, click, hover
display_trigger_value Valfritt Sträng -
display_trigger_selector Valfritt Sträng Tillgänglig när: display_trigger = target_visible
display_delay_type_after_close Valfritt Sträng Tillåtna värden: time_on_site, pageviews
display_delay_value_after_close Valfritt Heltal -
display_focus Valfritt Boolean -
display_focus_behavior Valfritt Sträng Tillåtna värden: visual_only, outside_click_unfocus, lock_until_interaction
display_frequency Valfritt Sträng Tillåtna värden: all_time, once_per_session, once_per_browser
direction Valfritt Sträng Tillåtna värden: rtl, ltr
display_continents Valfritt Array Sträng -
display_countries Valfritt Array Sträng -
display_languages Valfritt Array Sträng -
display_operating_systems Valfritt Array Sträng -
display_browsers Valfritt Array Sträng -
display_cities Valfritt Array Sträng -
display_mobile Valfritt Boolean -
display_desktop Valfritt Boolean -
schedule Valfritt Boolean -
start_date Valfritt Sträng -
end_date Valfritt Sträng -
display_duration Valfritt Heltal -
display_position Valfritt Sträng Tillåtna värden: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating
display_close_button Valfritt Boolean -
close_button_color Valfritt Sträng -
dark_mode_close_button_color Valfritt Sträng -
display_branding Valfritt Boolean -
shadow Valfritt Sträng Tillåtna värden: , subtle, feather, 3d, layered
border_width Valfritt Heltal Tillåtna värden: 0, 1, 2, 3, 4, 5
internal_padding Valfritt Heltal Tillåtna värden: 5-25
background_blur Valfritt Heltal Tillåtna värden: 0-30
custom_css Valfritt Sträng -
hover_animation Valfritt Sträng Tillåtna värden: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down
on_animation Valfritt Sträng Tillåtna värden: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn
off_animation Valfritt Sträng Tillåtna värden: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut
animation Valfritt Sträng Tillåtna värden: , heartbeat, bounce, flash, pulse
animation_interval Valfritt Heltal -
font Valfritt Sträng Tillåtna värden: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus
border_radius Valfritt Sträng Tillåtna värden: straight, rounded, highly_rounded, round
dark_mode_is_enabled Valfritt Boolean
notifications Valfritt Array Tillgänglig när: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, inline_conversions, conversions_counter, inline_conversions_counter, countdown_collector, request_collector, text_feedback Notifikationshanterar-id:n
translations[input_key][index]['key'] Valfritt Sträng Available for all the marked for translation fields.
translations[input_key][index]['value'] Valfritt Sträng Available for all the marked for translation fields.
conversions / inline_conversions
title Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
description Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
image Valfritt Fil Tillgänglig när: type = conversions, inline_conversions
image_alt Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
url Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
display_time Valfritt Boolean Tillgänglig när: type = conversions, inline_conversions
url_new_tab Valfritt Boolean Tillgänglig när: type = conversions, inline_conversions
conversions_count Valfritt Heltal Tillgänglig när: type = conversions, inline_conversions
in_between_delay Valfritt Heltal Tillgänglig när: type = conversions, inline_conversions
order Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
Tillåtna värden: random, descending
data_trigger_auto Valfritt Boolean Tillgänglig när: type = conversions, inline_conversions
data_trigger_auto_type[index] Valfritt Array Sträng Tillgänglig när: type = conversions, inline_conversions
Tillåtna värden: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Valfritt Array Sträng Tillgänglig när: type = conversions, inline_conversions
title_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
description_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
date_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
background_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
border_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
shadow_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_title_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_description_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_date_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_background_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_border_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
dark_mode_shadow_color Valfritt Sträng Tillgänglig när: type = conversions, inline_conversions
data_trigger_auto Valfritt Boolean Tillgänglig när: type = conversions counter
data_trigger_auto_type[index] Valfritt Array Sträng Tillgänglig när: type = conversions, inline_conversions
Tillåtna värden: exact, contains, starts_with, ends_with
data_trigger_auto_value[index] Valfritt Array Sträng Tillgänglig när: type = conversions, inline_conversions
rating_summary / inline_rating_summary
description Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary Translatable
average_rating Valfritt Flyta Tillgänglig när: type = rating_summary, inline_rating_summary
reviews_count Valfritt api_documentation.integer Tillgänglig när: type = rating_summary, inline_rating_summary
display_minimum_reviews Valfritt api_documentation.integer Tillgänglig när: type = rating_summary, inline_rating_summary
url Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
url_new_tab Valfritt Boolean Tillgänglig när: type = rating_summary, inline_rating_summary
selector Valfritt Sträng Tillgänglig när: type = inline_rating_summary
inline_placement Valfritt Sträng Tillgänglig när: type = inline_rating_summary
rating_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
rating_background_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
stars_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
description_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
background_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
border_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
shadow_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_rating_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_rating_background_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_stars_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_description_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_background_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_border_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
dark_mode_shadow_color Valfritt Sträng Tillgänglig när: type = rating_summary, inline_rating_summary
telegram_chat
title Valfritt Sträng Tillgänglig när: type = telegram_chat
agent_image Valfritt Fil Tillgänglig när: type = telegram_chat
agent_image_alt Valfritt Sträng Tillgänglig när: type = telegram_chat
agent_name Valfritt Sträng Tillgänglig när: type = telegram_chat Translatable
agent_description Valfritt Sträng Tillgänglig när: type = telegram_chat Translatable
agent_message Valfritt Sträng Tillgänglig när: type = telegram_chat Translatable
agent_telegram Valfritt Sträng Tillgänglig när: type = telegram_chat Translatable
button_text Valfritt Sträng Tillgänglig när: type = telegram_chat Translatable
header_agent_name_color Valfritt Sträng Tillgänglig när: type = telegram_chat
header_agent_description_color Valfritt Sträng Tillgänglig när: type = telegram_chat
header_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
content_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
content_agent_name_color Valfritt Sträng Tillgänglig när: type = telegram_chat
content_agent_message_color Valfritt Sträng Tillgänglig när: type = telegram_chat
content_agent_message_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
footer_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
footer_button_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
footer_button_color Valfritt Sträng Tillgänglig när: type = telegram_chat
title_color Valfritt Sträng Tillgänglig när: type = telegram_chat
background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
border_color Valfritt Sträng Tillgänglig när: type = telegram_chat
shadow_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_header_agent_name_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_header_agent_description_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_header_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_content_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_content_agent_name_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_content_agent_message_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_content_agent_message_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_footer_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_footer_button_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_footer_button_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_title_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_background_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_border_color Valfritt Sträng Tillgänglig när: type = telegram_chat
dark_mode_shadow_color Valfritt Sträng Tillgänglig när: type = telegram_chat
facebook_messenger_chat
display_continents Valfritt Sträng -
display_countries Valfritt Sträng -
display_languages Valfritt Sträng -
display_operating_systems Valfritt Sträng -
display_browsers Valfritt Sträng -
display_cities Valfritt Sträng -
infinite_rotation Valfritt Sträng -
video_is_vimeo Valfritt Sträng -
vimeo_video_id Valfritt Heltal -
badge_text Valfritt Sträng -
hint_text Valfritt Sträng -
items Valfritt Array -
trigger_type Valfritt Sträng -
trigger_value Valfritt Heltal -
border_color Valfritt Sträng -
dark_mode_border_color Valfritt Sträng -
shadow_color Valfritt Sträng -
dark_mode_shadow_color Valfritt Sträng -
title_color Valfritt Sträng -
description_color Valfritt Sträng -
background_color Valfritt Sträng -
dark_mode_title_color Valfritt Sträng -
dark_mode_description_color Valfritt Sträng -
dark_mode_background_color Valfritt Sträng -
margin_top Valfritt Sträng -
margin_right Valfritt Sträng -
margin_bottom Valfritt Sträng -
margin_left Valfritt Sträng -
button_background_color Valfritt Sträng -
button_color Valfritt Sträng -
dark_mode_button_background_color Valfritt Sträng -
dark_mode_button_color Valfritt Sträng -
number_background_color Valfritt Sträng -
number_color Valfritt Sträng -
pulse_background_color Valfritt Sträng -
dark_mode_number_background_color Valfritt Sträng -
dark_mode_number_color Valfritt Sträng -
dark_mode_pulse_background_color Valfritt Sträng -
date_color Valfritt Sträng -
dark_mode_date_color Valfritt Sträng -
rating_color Valfritt Sträng -
rating_background_color Valfritt Sträng -
stars_color Valfritt Sträng -
dark_mode_rating_color Valfritt Sträng -
dark_mode_rating_background_color Valfritt Sträng -
dark_mode_stars_color Valfritt Sträng -
content_title_color Valfritt Sträng -
content_description_color Valfritt Sträng -
dark_mode_content_title_color Valfritt Sträng -
dark_mode_content_description_color Valfritt Sträng -
time_color Valfritt Sträng -
time_background_color Valfritt Sträng -
dark_mode_time_color Valfritt Sträng -
dark_mode_time_background_color Valfritt Sträng -
coupon_code_color Valfritt Sträng -
coupon_code_background_color Valfritt Sträng -
coupon_code_border_color Valfritt Sträng -
dark_mode_coupon_code_color Valfritt Sträng -
dark_mode_coupon_code_background_color Valfritt Sträng -
dark_mode_coupon_code_border_color Valfritt Sträng -
categories_title_color Valfritt Sträng -
categories_description_color Valfritt Sträng -
categories_links_title_color Valfritt Sträng -
categories_links_description_color Valfritt Sträng -
categories_links_background_color Valfritt Sträng -
categories_links_border_color Valfritt Sträng -
dark_mode_categories_title_color Valfritt Sträng -
dark_mode_categories_description_color Valfritt Sträng -
dark_mode_categories_links_title_color Valfritt Sträng -
dark_mode_categories_links_description_color Valfritt Sträng -
dark_mode_categories_links_background_color Valfritt Sträng -
dark_mode_categories_links_border_color Valfritt Sträng -
badge_background_color Valfritt Sträng -
badge_color Valfritt Sträng -
hint_background_color Valfritt Sträng -
hint_color Valfritt Sträng -
item_question_color Valfritt Sträng -
item_answer_color Valfritt Sträng -
item_background_color Valfritt Sträng -
item_border_color Valfritt Sträng -
dark_mode_badge_background_color Valfritt Sträng -
dark_mode_badge_color Valfritt Sträng -
dark_mode_hint_background_color Valfritt Sträng -
dark_mode_hint_color Valfritt Sträng -
dark_mode_item_question_color Valfritt Sträng -
dark_mode_item_answer_color Valfritt Sträng -
dark_mode_item_background_color Valfritt Sträng -
dark_mode_item_border_color Valfritt Sträng -
header_agent_name_color Valfritt Sträng -
header_agent_description_color Valfritt Sträng -
header_background_color Valfritt Sträng -
content_background_color Valfritt Sträng -
content_agent_name_color Valfritt Sträng -
content_agent_message_color Valfritt Sträng -
content_agent_message_background_color Valfritt Sträng -
footer_background_color Valfritt Sträng -
footer_button_background_color Valfritt Sträng -
footer_button_color Valfritt Sträng -
dark_mode_header_agent_name_color Valfritt Sträng -
dark_mode_header_agent_description_color Valfritt Sträng -
dark_mode_header_background_color Valfritt Sträng -
dark_mode_content_background_color Valfritt Sträng -
dark_mode_content_agent_name_color Valfritt Sträng -
dark_mode_content_agent_message_color Valfritt Sträng -
dark_mode_content_agent_message_background_color Valfritt Sträng -
dark_mode_footer_background_color Valfritt Sträng -
dark_mode_footer_button_background_color Valfritt Sträng -
dark_mode_footer_button_color Valfritt Sträng -
curl --request POST \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "campaign_id": 1,
        "notification_key": "Example",
        "name": "Example",
        "type": "Example",
        "settings": {},
        "impressions": 1,
        "hovers": 1,
        "clicks": 1,
        "form_submissions": 1,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-28 23:42:54"
    }
}
DELETE https://notifyc.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://notifyc.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \